/*
 * 3dcnn 识别api
 */
#ifndef __tf_wheel_3Dcnn__H
#define __tf_wheel_3Dcnn__H
#include <string>

#ifndef LIB_3DCNN_API
#ifdef LIB_EXPORTS
#if defined(_MSC_VER)
#define LIB_3DCNN_API __declspec(dllexport)
#else
#define LIB_3DCNN_API __attribute__((visibility("default")))
#endif
#else
#if defined(_MSC_VER)
#define LIB_3DCNN_API
#else
#define LIB_3DCNN_API
#endif
#endif
#endif
//初始化3dcnn网络参数,长宽高,权重文件
LIB_3DCNN_API int		 tf_wheel_3dcnn_init(std::string model_file,int length, int width, int height);
//3dcnn网络预测
LIB_3DCNN_API bool	 tf_wheel_3dcnn_predict(float* data,float* pOut);
//关闭网络
LIB_3DCNN_API int		 tf_wheel_3dcnn_close();

#endif
