//
// Created by zx on 2020/1/16.
//

#ifndef TERMINAL_REGION_LIMIT_H
#define TERMINAL_REGION_LIMIT_H
#include "Railing.h"

class Terminal_region_limit
{
    Terminal_region_limit(Railing* left_railing,Railing* right_railing);
    /*
     * 检验是否碰撞左右栏杆,
     * 返回结果:左边碰撞,右边碰撞,左右都碰撞,正确
     */
    Error_manager verify(cv::RotatedRect rect);
protected:
    //左边栏杆
    Railing*                     mp_left_railing;
    //右边栏杆
    Railing*                     mp_right_railing;
};


#endif //TERMINAL_REGION_LIMIT_H
